Bug 368 - USB mode selection on control panel
: USB mode selection on control panel
Status: RESOLVED FIXED
Product: Settings and Maintenance
Control panel
: 1.1
: All Maemo
: Medium enhancement with 26 votes (vote)
: 5.0-beta
Assigned To: unassigned
: control-panel-bugs
:
: enhancement-it2005, ITOS2007HE-garage
:
:
  Show dependency tree
 
Reported: 2006-01-13 18:41 UTC by David Hagood
Modified: 2009-04-28 15:35 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description David Hagood (reporter) 2006-01-13 18:41:48 UTC
It would be nice if the control panel allowed the user to select the mode of
the
USB port, one of the following:

Master
Slave->Mass storage
Slave->Network

Ideally, in Slave->Network, connecting the USB would NOT unmount the memory
card.
Comment 1 Maemo QA (deprecated) 2006-05-03 18:59:25 UTC
Claiming ownership.
Comment 2 Maemo QA (deprecated) 2006-05-22 14:27:51 UTC
Feature request has been forwarded to upstream maintainer.
Comment 4 Quim Gil nokia 2008-06-19 10:51:31 UTC
Hi, trying to see whether this is actually an issue.

Isn0t the current behavior that once the PC detects the USB connection asks
what to do with it, giving the several options available?

If so, isn't this the right thing to do - define it in the comfortable PC
screen instead of adding more complexity to a tiny applet?
Comment 5 David Hagood (reporter) 2008-06-19 14:17:30 UTC
I don't think that Windows will ask the user what to do, if a USB device offers
several different configurations - it will just pick the first configuration
offered by the device.

So if the device offered 
a) Network
b) serial
c) storage
d) audio and camera
e) all of the above

in that order, Windows would always pick Network. You would either have to
install a special Windows driver that would then prompt the user, or you would
have to have the device make the decision.
Comment 6 Karoliina T. Salminen nokia 2008-07-21 13:21:56 UTC
Actually it is usually so that the device asks for the mode. The computer OS
(Linux/MacOSX/Windows) asks nothing. The computer mounts the device as a mass
storage if the device is in mass storage mode. 

As a reference, my phone, the N95 8GB works so that if I connect it to PC, the
phone asks which mode I want.

Thanks for the enhancement request.
Comment 7 Andre Klapper maemo.org 2008-07-21 13:59:49 UTC
Karoliina, the question is: Can we expect improvements for Fremantle?
Can I set the Target Milestone of this report to Fremantle and expect some work
on this? Or is this a WONTFIX according to your last comment that it is the
task of the computer to choose the correct mode?
Keep in mind that this is a top request (31 votes) of our users... Thanks :)
Comment 8 Danny Milosavljevic 2008-07-30 19:13:01 UTC
isn't there an ID pin on the USB cable (OTG) that's supposed to notice?
Comment 9 Ryan Abel maemo.org 2008-07-30 21:07:52 UTC
(In reply to comment #8)
> isn't there an ID pin on the USB cable (OTG) that's supposed to notice?
> 

It does, but the idea here is to have the option for switching modes
software-side without the need for hardware easily and with the shipped
software.
Comment 10 Andre Klapper maemo.org 2008-07-31 17:03:10 UTC
Karoliina: *ping* (see comment 7)
Comment 11 Karoliina T. Salminen nokia 2008-08-04 13:40:27 UTC
Yes, we are aiming at similar functionality than the Series 60 devices and we
are going to work on this.
Comment 12 Andre Klapper maemo.org 2008-08-04 14:22:53 UTC
Setting Target Milestone to Fremantle for this report as per last comment.
Comment 13 Quim Gil nokia 2008-10-27 13:42:39 UTC
As Karoliina says, this feature comes in Fremantle.

Resolving as Fixed in Fremantle.
Comment 14 Andre Klapper maemo.org 2009-04-28 15:35:23 UTC
Setting Target Milestone to Fremantle SDK beta.